package com.ruixuan.jinniu.service;

import com.alibaba.fastjson.JSONObject;
import com.ruixuan.common.utils.Result;
import com.ruixuan.jinniu.entity.KuaishouProjectMember;

import java.util.List;

/**
 * 项目人员信息Service接口
 *
 * @author ruoyi
 * @date 2023-03-16
 */
public interface IKuaishouProjectMemberService {
    /**
     * 查询项目人员信息
     *
     * @param id 项目人员信息主键
     * @return 项目人员信息
     */
    public KuaishouProjectMember selectKuaishouProjectMemberById(Long id);

    /**
     * 查询项目人员信息列表
     *
     * @param kuaishouProjectMember 项目人员信息
     * @return 项目人员信息集合
     */
    public List<KuaishouProjectMember> selectKuaishouProjectMemberList(KuaishouProjectMember kuaishouProjectMember);

    /**
     * 新增项目人员信息
     *
     * @param kuaishouProjectMember 项目人员信息
     * @return 结果
     */
    public int insertKuaishouProjectMember(KuaishouProjectMember kuaishouProjectMember);

    /**
     * 修改项目人员信息
     *
     * @param kuaishouProjectMember 项目人员信息
     * @return 结果
     */
    public int updateKuaishouProjectMember(KuaishouProjectMember kuaishouProjectMember);

    /**
     * 删除项目人员信息信息
     *
     * @param id 项目人员信息主键
     * @return 结果
     */
    public int deleteKuaishouProjectMemberById(Long id);

    Result<Object> queryProjectUsers(Long projectId);

    Result<Object> addProjectUsers(JSONObject o);

    Result<Object> deleteProjectUsers(Long projectId, Long userId);
}